org.apache.geode.cache.configuration

## Class CacheConfig.GatewaySender

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheConfig.GatewaySender

- Enclosing class:
    CacheConfig

      public static class CacheConfig.GatewaySender
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="gateway-event-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
               <element name="gateway-event-substitution-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" minOccurs="0"/>
               <element name="gateway-transport-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="remote-distributed-system-id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="parallel" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="manual-start" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="socket-read-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="enable-batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="enable-persistence" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="disk-synchronous" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="alert-threshold" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="dispatcher-threads" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="order-policy" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `alertThreshold`
    `protected java.lang.String` | `batchSize`
    `protected java.lang.String` | `batchTimeInterval`
    `protected java.lang.String` | `diskStoreName`
    `protected java.lang.Boolean` | `diskSynchronous`
    `protected java.lang.String` | `dispatcherThreads`
    `protected java.lang.Boolean` | `enableBatchConflation`
    `protected java.lang.Boolean` | `enablePersistence`
    `protected java.util.List<DeclarableType>` | `gatewayEventFilters`
    `protected DeclarableType` | `gatewayEventSubstitutionFilter`
    `protected java.util.List<DeclarableType>` | `gatewayTransportFilters`
    `protected java.lang.String` | `id`
    `protected java.lang.Boolean` | `manualStart`
    `protected java.lang.String` | `maximumQueueMemory`
    `protected java.lang.String` | `orderPolicy`
    `protected java.lang.Boolean` | `parallel`
    `protected java.lang.String` | `remoteDistributedSystemId`
    `protected java.lang.String` | `socketBufferSize`
    `protected java.lang.String` | `socketReadTimeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewaySender()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlertThreshold()` Gets the value of the alertThreshold property.
    `java.lang.String` | `getBatchSize()` Gets the value of the batchSize property.
    `java.lang.String` | `getBatchTimeInterval()` Gets the value of the batchTimeInterval property.
    `java.lang.String` | `getDiskStoreName()` Gets the value of the diskStoreName property.
    `java.lang.String` | `getDispatcherThreads()` Gets the value of the dispatcherThreads property.
    `java.util.List<DeclarableType>` | `getGatewayEventFilters()` Gets the value of the gatewayEventFilters property.
    `DeclarableType` | `getGatewayEventSubstitutionFilter()` Gets the value of the gatewayEventSubstitutionFilter property.
    `java.util.List<DeclarableType>` | `getGatewayTransportFilters()` Gets the value of the gatewayTransportFilters property.
    `java.lang.String` | `getId()` Gets the value of the id property.
    `java.lang.String` | `getMaximumQueueMemory()` Gets the value of the maximumQueueMemory property.
    `java.lang.String` | `getOrderPolicy()` Gets the value of the orderPolicy property.
    `java.lang.String` | `getRemoteDistributedSystemId()` Gets the value of the remoteDistributedSystemId property.
    `java.lang.String` | `getSocketBufferSize()` Gets the value of the socketBufferSize property.
    `java.lang.String` | `getSocketReadTimeout()` Gets the value of the socketReadTimeout property.
    `java.lang.Boolean` | `isDiskSynchronous()` Gets the value of the diskSynchronous property.
    `java.lang.Boolean` | `isEnableBatchConflation()` Gets the value of the enableBatchConflation property.
    `java.lang.Boolean` | `isEnablePersistence()` Gets the value of the enablePersistence property.
    `java.lang.Boolean` | `isManualStart()` Gets the value of the manualStart property.
    `java.lang.Boolean` | `isParallel()` Gets the value of the parallel property.
    `void` | `setAlertThreshold(java.lang.String value)` Sets the value of the alertThreshold property.
    `void` | `setBatchSize(java.lang.String value)` Sets the value of the batchSize property.
    `void` | `setBatchTimeInterval(java.lang.String value)` Sets the value of the batchTimeInterval property.
    `void` | `setDiskStoreName(java.lang.String value)` Sets the value of the diskStoreName property.
    `void` | `setDiskSynchronous(java.lang.Boolean value)` Sets the value of the diskSynchronous property.
    `void` | `setDispatcherThreads(java.lang.String value)` Sets the value of the dispatcherThreads property.
    `void` | `setEnableBatchConflation(java.lang.Boolean value)` Sets the value of the enableBatchConflation property.
    `void` | `setEnablePersistence(java.lang.Boolean value)` Sets the value of the enablePersistence property.
    `void` | `setGatewayEventSubstitutionFilter(DeclarableType value)` Sets the value of the gatewayEventSubstitutionFilter property.
    `void` | `setId(java.lang.String value)` Sets the value of the id property.
    `void` | `setManualStart(java.lang.Boolean value)` Sets the value of the manualStart property.
    `void` | `setMaximumQueueMemory(java.lang.String value)` Sets the value of the maximumQueueMemory property.
    `void` | `setOrderPolicy(java.lang.String value)` Sets the value of the orderPolicy property.
    `void` | `setParallel(java.lang.Boolean value)` Sets the value of the parallel property.
    `void` | `setRemoteDistributedSystemId(java.lang.String value)` Sets the value of the remoteDistributedSystemId property.
    `void` | `setSocketBufferSize(java.lang.String value)` Sets the value of the socketBufferSize property.
    `void` | `setSocketReadTimeout(java.lang.String value)` Sets the value of the socketReadTimeout property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gatewayEventFilters

          protected java.util.List<DeclarableType> gatewayEventFilters

    - #### gatewayEventSubstitutionFilter

          protected DeclarableType gatewayEventSubstitutionFilter

    - #### gatewayTransportFilters

          protected java.util.List<DeclarableType> gatewayTransportFilters

    - #### id

          protected java.lang.String id

    - #### remoteDistributedSystemId

          protected java.lang.String remoteDistributedSystemId

    - #### parallel

          protected java.lang.Boolean parallel

    - #### manualStart

          protected java.lang.Boolean manualStart

    - #### socketBufferSize

          protected java.lang.String socketBufferSize

    - #### socketReadTimeout

          protected java.lang.String socketReadTimeout

    - #### enableBatchConflation

          protected java.lang.Boolean enableBatchConflation

    - #### batchSize

          protected java.lang.String batchSize

    - #### batchTimeInterval

          protected java.lang.String batchTimeInterval

    - #### enablePersistence

          protected java.lang.Boolean enablePersistence

    - #### diskStoreName

          protected java.lang.String diskStoreName

    - #### diskSynchronous

          protected java.lang.Boolean diskSynchronous

    - #### maximumQueueMemory

          protected java.lang.String maximumQueueMemory

    - #### alertThreshold

          protected java.lang.String alertThreshold

    - #### dispatcherThreads

          protected java.lang.String dispatcherThreads

    - #### orderPolicy

          protected java.lang.String orderPolicy

  - ### Constructor Detail

    - #### GatewaySender

          public GatewaySender()

  - ### Method Detail

    - #### getGatewayEventFilters

          public java.util.List<DeclarableType> getGatewayEventFilters()

      Gets the value of the gatewayEventFilters property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewayEventFilters property.

      For example, to add a new item, do as follows:

           getGatewayEventFilters().add(newItem);

      Objects of the following type(s) are allowed in the list `DeclarableType`

    - #### getGatewayEventSubstitutionFilter

          public DeclarableType getGatewayEventSubstitutionFilter()

      Gets the value of the gatewayEventSubstitutionFilter property. possible object is `DeclarableType`

    - #### setGatewayEventSubstitutionFilter

          public void setGatewayEventSubstitutionFilter(DeclarableType value)

      Sets the value of the gatewayEventSubstitutionFilter property. allowed object is `DeclarableType`

    - #### getGatewayTransportFilters

          public java.util.List<DeclarableType> getGatewayTransportFilters()

      Gets the value of the gatewayTransportFilters property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewayTransportFilters property.

      For example, to add a new item, do as follows:

           getGatewayTransportFilters().add(newItem);

      Objects of the following type(s) are allowed in the list `DeclarableType`

    - #### getId

          public java.lang.String getId()

      Gets the value of the id property. possible object is `String`

    - #### setId

          public void setId(java.lang.String value)

      Sets the value of the id property. allowed object is `String`

    - #### getRemoteDistributedSystemId

          public java.lang.String getRemoteDistributedSystemId()

      Gets the value of the remoteDistributedSystemId property. possible object is `String`

    - #### setRemoteDistributedSystemId

          public void setRemoteDistributedSystemId(java.lang.String value)

      Sets the value of the remoteDistributedSystemId property. allowed object is `String`

    - #### isParallel

          public java.lang.Boolean isParallel()

      Gets the value of the parallel property. possible object is `Boolean`

    - #### setParallel

          public void setParallel(java.lang.Boolean value)

      Sets the value of the parallel property. allowed object is `Boolean`

    - #### isManualStart

          public java.lang.Boolean isManualStart()

      Gets the value of the manualStart property. possible object is `Boolean`

    - #### setManualStart

          public void setManualStart(java.lang.Boolean value)

      Sets the value of the manualStart property. allowed object is `Boolean`

    - #### getSocketBufferSize

          public java.lang.String getSocketBufferSize()

      Gets the value of the socketBufferSize property. possible object is `String`

    - #### setSocketBufferSize

          public void setSocketBufferSize(java.lang.String value)

      Sets the value of the socketBufferSize property. allowed object is `String`

    - #### getSocketReadTimeout

          public java.lang.String getSocketReadTimeout()

      Gets the value of the socketReadTimeout property. possible object is `String`

    - #### setSocketReadTimeout

          public void setSocketReadTimeout(java.lang.String value)

      Sets the value of the socketReadTimeout property. allowed object is `String`

    - #### isEnableBatchConflation

          public java.lang.Boolean isEnableBatchConflation()

      Gets the value of the enableBatchConflation property. possible object is `Boolean`

    - #### setEnableBatchConflation

          public void setEnableBatchConflation(java.lang.Boolean value)

      Sets the value of the enableBatchConflation property. allowed object is `Boolean`

    - #### getBatchSize

          public java.lang.String getBatchSize()

      Gets the value of the batchSize property. possible object is `String`

    - #### setBatchSize

          public void setBatchSize(java.lang.String value)

      Sets the value of the batchSize property. allowed object is `String`

    - #### getBatchTimeInterval

          public java.lang.String getBatchTimeInterval()

      Gets the value of the batchTimeInterval property. possible object is `String`

    - #### setBatchTimeInterval

          public void setBatchTimeInterval(java.lang.String value)

      Sets the value of the batchTimeInterval property. allowed object is `String`

    - #### isEnablePersistence

          public java.lang.Boolean isEnablePersistence()

      Gets the value of the enablePersistence property. possible object is `Boolean`

    - #### setEnablePersistence

          public void setEnablePersistence(java.lang.Boolean value)

      Sets the value of the enablePersistence property. allowed object is `Boolean`

    - #### getDiskStoreName

          public java.lang.String getDiskStoreName()

      Gets the value of the diskStoreName property. possible object is `String`

    - #### setDiskStoreName

          public void setDiskStoreName(java.lang.String value)

      Sets the value of the diskStoreName property. allowed object is `String`

    - #### isDiskSynchronous

          public java.lang.Boolean isDiskSynchronous()

      Gets the value of the diskSynchronous property. possible object is `Boolean`

    - #### setDiskSynchronous

          public void setDiskSynchronous(java.lang.Boolean value)

      Sets the value of the diskSynchronous property. allowed object is `Boolean`

    - #### getMaximumQueueMemory

          public java.lang.String getMaximumQueueMemory()

      Gets the value of the maximumQueueMemory property. possible object is `String`

    - #### setMaximumQueueMemory

          public void setMaximumQueueMemory(java.lang.String value)

      Sets the value of the maximumQueueMemory property. allowed object is `String`

    - #### getAlertThreshold

          public java.lang.String getAlertThreshold()

      Gets the value of the alertThreshold property. possible object is `String`

    - #### setAlertThreshold

          public void setAlertThreshold(java.lang.String value)

      Sets the value of the alertThreshold property. allowed object is `String`

    - #### getDispatcherThreads

          public java.lang.String getDispatcherThreads()

      Gets the value of the dispatcherThreads property. possible object is `String`

    - #### setDispatcherThreads

          public void setDispatcherThreads(java.lang.String value)

      Sets the value of the dispatcherThreads property. allowed object is `String`

    - #### getOrderPolicy

          public java.lang.String getOrderPolicy()

      Gets the value of the orderPolicy property. possible object is `String`

    - #### setOrderPolicy

          public void setOrderPolicy(java.lang.String value)

      Sets the value of the orderPolicy property. allowed object is `String`